#!/usr/bin/env python

from otk import *
import sys

def populate_lists( N ):
    global sel1
    global sel2
    global sel3
    for j in range(N): # /* Place some dummy values in the selection lists. */
        text = "A%d"%(j)
        Otk_Add_Selection_Item( sel1, text );
        text = "B%d"%(j)
        Otk_Add_Selection_Item( sel2, text );
        text = "C%d"%(j)
        Otk_Add_Selection_Item( sel3, text );

def quit( data ): #  /* Action for the Quit button. */
    exit(0)

def wexit():
    print "window exit"

if __name__ == '__main__':

      OtkInitWindow( 610, 600, sys.argv )
      OtkOuterWindow = cvar.OtkOuterWindow

      rows=14
      cols=10

      panel0 = OtkMakePanel( OtkOuterWindow, Otk_Raised, Otk_LightGray, 8, 12, 80, 76 )
      Otk_Set_Default_Border_Thickness( 0.4 )

      x1 = 10
      width = 25
      y1 = 20
      height = 45

      sel1 = Otk_Make_Selection_List( panel0, rows, cols, x1, y1, width, height )

      x1 = x1 + width + 1
      sel2 = Otk_Make_Selection_List( panel0, rows, cols, x1, y1, width, height )

      x1 = x1 + width + 1
      sel3 = Otk_Make_Selection_List( panel0, rows, cols, x1, y1, width, height )

      Otk_Coordinate_Selection_Lists( sel3, sel1 )
      Otk_Coordinate_Selection_Lists( sel3, sel2 )

      populate_lists( 60 )

      OtkMakeButton( panel0, 44, 87, 12, 8, "Quit", quit, 0 )

      OtkMainLoop()

